Bug 1410851 - Expose custom_attribute methods to ext_management_system service model
Summary: Expose custom_attribute methods to ext_management_system service model
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: GA
: 5.7.1
Assignee: Greg McCullough
QA Contact: Milan Falešník
URL:
Whiteboard:
Depends On: 1410806
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-06 15:51 UTC by Satoe Imaishi
Modified: 2017-02-27 19:17 UTC (History)
6 users (show)

Fixed In Version: 5.7.1.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1410806
Environment:
Last Closed: 2017-02-27 19:17:31 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0320 0 normal SHIPPED_LIVE Moderate: CFME 5.7.1 bug fixes and enhancement update 2017-02-28 00:13:26 UTC

Comment 2 CFME Bot 2017-01-06 15:55:48 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/f52d2b32b8d6d8bee0d4b18d89af2d7890619cec

commit f52d2b32b8d6d8bee0d4b18d89af2d7890619cec
Author:     Madhu Kanoor <mkanoor@redhat.com>
AuthorDate: Tue Nov 15 16:31:40 2016 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Jan 6 10:52:10 2017 -0500

    Merge pull request #12602 from gmcculloug/custom_attributes_service_model
    
    Expose custom_attribute methods to ext_management_system service model.
    (cherry picked from commit bd01f6ec2070cde083032b01f002521c76e0655f)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1410851

 .../miq_ae_service_ext_management_system.rb           |  2 ++
 .../service_models/miq_ae_service_host.rb             | 19 +++----------------
 .../service_models/miq_ae_service_miq_group.rb        | 19 +++----------------
 .../service_models/miq_ae_service_service.rb          |  5 ++---
 .../service_models/miq_ae_service_user.rb             | 19 +++----------------
 .../service_models/miq_ae_service_vm_or_template.rb   | 19 ++-----------------
 .../mixins/miq_ae_service_custom_attribute_mixin.rb   |  9 +++++++++
 7 files changed, 24 insertions(+), 68 deletions(-)
 create mode 100644 lib/miq_automation_engine/service_models/mixins/miq_ae_service_custom_attribute_mixin.rb

Comment 3 Milan Falešník 2017-01-25 14:41:57 UTC
Verified in 5.7.1.0 against 5.7.0.17.

It is now possible to use custom_keys, custom_set and custom_get for providers via $evm.

Comment 4 errata-xmlrpc 2017-02-27 19:17:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0320.html


Note You need to log in before you can comment on or make changes to this bug.